Eclipse desktop file refers to wrong package

Bug #548507 reported by Eduard Grebe on 2010-03-26
52
This bug affects 9 people
Affects Status Importance Assigned to Milestone
app-install-data-ubuntu (Ubuntu)
Undecided
Unassigned

Bug Description

The eclipse desktop file provided by app-install-data-ubuntu refers to the package 'eclipse-platfrom', rather than the package 'eclipse'. This results in incomplete eclipse installations.

Benjamin Drung (bdrung) wrote :

Do you have eclipse-plugin-cvs installed?

Changed in eclipse (Ubuntu):
status: New → Incomplete
Brian Murrell (btmurrell) wrote :

I am having the exact same problem trying to install aptana plugin.

I then tried to install eclipse-plugin-cvs and got the same error!

I see amd64 is tagged on this bug... i don't see how that could have anything to do with it, but i too am on amd64 (hp pavillion)

i installed the base eclipse-platform from apt-get ("Eclipse platform without plug-ins to develop any language"), then i tried to add the aptana plugin...

i too am on ubuntu lucid lynx 10.04

I'm in the same situation: Fresh install of Eclipse Galileo on lucid lynx 10.04; I try to install the CVS plugin and I get the message above.

I'm encountering this issue on an AthlonXP system, with the i386 distribution of 10.04 beta 1

The workaround that I found:
1. Take note of what seems to be missing (ie. Eclipse CVS plugin)
2. Close Eclipse
3. Search for it in the package manager (ie. Synaptic)
4. Install it and any dependencies
5. Start up Eclipse and try the install of your originally desired plugin again
6. If you get a slightly different error, repeat from step 1 with the new missing package(s)
    If you get exactly the same error, this fix hasn't worked
    If you don't get an error, congratulation; the workaround succeeded

Makario Lewis (makariolewis) wrote :

I got the same error when trying to install the Android SDK today. The problem was that I installed Eclipse through the Software Center, and it didn't install the "complete" eclipse package.

Go through Synaptic and search for "eclipse." (I'm assuming that this is a meta-package.) Install it if it isn't already. See if that fixes your problem.

If so, it might be worth notifying the powers that be that just using the Software Center to install Eclipse won't fully install everything.

Benjamin Drung (bdrung) wrote :

The description of eclipse-platform states that in contains only the platform and "Please note that many plugins will fail to install if you don't have the eclipse-pde package installed". There is nothing we can do in the eclipse package itself.

The software center should give the user the ability to install eclipse, eclipse-jdt, eclipse-pdt, etc. Therefore I am reassigning this bug to software-center.

affects: eclipse (Ubuntu) → software-center (Ubuntu)
Changed in software-center (Ubuntu):
status: Incomplete → Invalid
status: Invalid → New
Daniel M (triumph-2500) wrote :

I too had this problem when installing the android ADT plugin but after installing eclipse-pde and it's dependencies the ADT installed flawlessly

Booshitha (bgnarayani) wrote :

I too had the same problem while installing Android. Thanks !

Husson R. (iam-hasanrashid) wrote :

Someone suggested installing apt-get install eclipse-pde on Ubuntu 10.04 and then all the plugins install without a problem.

Kiwinote (kiwinote) on 2010-08-14
summary: - Eclipse plugin installation fails with [R]org.eclipse.cvs dependency
+ Eclipse desktop file refers to wrong package
description: updated
affects: software-center (Ubuntu) → app-install-data-ubuntu (Ubuntu)
Changed in app-install-data-ubuntu (Ubuntu):
status: New → Confirmed
Robert Roth (evfool) on 2010-11-23
Changed in app-install-data-ubuntu (Ubuntu):
assignee: nobody → Robert Roth (evfool)
Robert Roth (evfool) on 2010-11-24
Changed in app-install-data-ubuntu (Ubuntu):
assignee: Robert Roth (evfool) → nobody
Robert Roth (evfool) on 2010-11-25
affects: app-install-data-ubuntu (Ubuntu) → eclipse (Ubuntu)
Benjamin Drung (bdrung) wrote :

It's not a bug in the eclipse source package, because the desktop file belongs to the eclipse-platform binary package. It's a bug in the Software Center / app-install-data-ubuntu that offers you to install eclipse-platform instead of 'eclipse', 'eclipse-jdt', or 'eclipse-cdt'.

affects: eclipse (Ubuntu) → app-install-data-ubuntu (Ubuntu)
Senthilraj (senthilraj-subs) wrote :

Thanks Nebby. That worked for me when installing pydev plugin.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers